// 012 u_test_u_c_tstringlist
// 03 jan 2002

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

// -- documentation at http://www.jcolibri.com

(*$r+*)

unit u_test_u_c_tstringlist;
  interface
    uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
      Dialogs, StdCtrls;

    type TForm1 = class(TForm)
                    Memo1: TMemo;
    string_list_: TButton;
    file_: TButton;
    path_: TButton;
                    procedure FormCreate(Sender: TObject);
    procedure string_list_Click(Sender: TObject);
    procedure file_Click(Sender: TObject);
    procedure path_Click(Sender: TObject);
                    private
                    public
                  end;

    var Form1: TForm1;

  implementation
    uses u_c_log, u_c_display
      , u_c_tstringlist
      , u_c_file_list
      , u_c_path_list
      ;

    {$R *.DFM}


  
    const k_log_path= 'log\';
          k_log_name= 'log_test_u_c_tstringlist.txt';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_display_log(k_log_path+ k_log_name);
      end; // FormCreate

    procedure TForm1.string_list_Click(Sender: TObject);
      begin
        with c_xxx_list.create_xxx_list('test_u_c_tstringlist') do
        begin
          add_xxx('element_a', c_xxx.create_xxx('elemant_a', Nil, 'value_a'));
          add_xxx('element_b', c_xxx.create_xxx('element_b', Nil, 'value_b'));
          add_xxx('element_c', c_xxx.create_xxx('element_c', Nil, 'value_c'));

          display_xxx_list;
          Free;
        end; // with c_xxx_list
      end; // string_list_Click

    procedure TForm1.file_Click(Sender: TObject);
      begin
        with c_file_list.create_file_list('test_u_c_tstringlist') do
        begin
          add_file('pascal_to_html.pas', c_file.create_file('pascal_to_html.pas', Nil, 'c:\programs\'));
          add_file('site_editor.pas', c_file.create_file('site_editor.pas', Nil, 'c:\programs\'));

          display_file_list;

          Free;
        end; // with c_file_list
      end; // file_Click

    procedure TForm1.path_Click(Sender: TObject);
      begin
        With c_path_list.create_path_list('test_u_c_tstringlist') do
        begin
          add_element('c:\programs\', 'pascal_to_html.pas');
          add_element('c:\programs\', 'site_editor.pas');
          add_element('c:\utilities\', 'http_raw_logs.pas');
          add_element('c:\utilities\', 'uses_list.pas');

          display_path_list;

          display_the_path_and_files;

          Free;
        end; // free
      end;

    end.


